package etivityObjects {

	[Bindable]
	public class VocabularyItem {
	  public static const ITEM_SELECTED:String = "ITEM_SELECTED";
	  public static const ASSETS_FOLDER:String ='vocablist_assets/';
	  public static const IMG_FOLDER:String ='vocablist_assets/images/';
	  
		public var itemID:Number;
		public var itemSource:String;
		public var itemType:String;
		public var itemValue:String;
		public var itemValidAnswers:String;
		public var itemOrder:uint;
		public var itemDefinition:String;
		public var itemSound:String;

    // constructor
		public function VocabularyItem (itemID:Number, itemType:String, itemSource:String, itemValue:String, itemValidAnswers:String, itemOrder:uint, itemDefinition:String, itemSound:String){
			this.itemID = itemID;
			this.itemType = itemType;
			this.itemSource = itemSource;
			this.itemValue = itemValue;
			this.itemValidAnswers = itemValidAnswers;
			this.itemOrder = itemOrder;
			this.itemDefinition = itemDefinition;
			this.itemSound = itemSound;
		}

		public function toString():String{
			return "[Item]"+this.itemValue;
		}

		public function getImg():String{
			return ASSETS_FOLDER+'images/'+this.itemSource;
		}
		public function getSound():String{
			return ASSETS_FOLDER+'sounds/'+this.itemSound;
		}


		public static function buildItem(o:Object):VocabularyItem{
			var i:VocabularyItem = new VocabularyItem(o.itemID, o.itemType, o.itemSource, o.itemValue, o.itemValidAnswers, o.itemOrder, o.itemDefinition, o.itemSound);
			return i;
		}
	}
}

